MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
MPQC::Physics_Units_impl Class Reference

Symbol "MPQC.Physics_Units" (version 0.2) More...

`#include <MPQC_Physics_Units_Impl.hh>`

List of all members.

## Public Member Functions

void | set_units (const sc::Ref< sc::Units > &)
| Physics_Units_impl (struct MPQC_Physics_Units__object *s)
void | _ctor ()
void | _dtor ()
void | initialize (const ::std::string &unitname) throw ()
| Initializes the units as a human readable string options are "angstroms" or "bohr".
::std::string | get_unit_name () throw ()
| Returns the units as a human readable string.
double | convert_to (const ::std::string &unitname) throw ()
| Converts from self's units to the given unit name.
double | convert_from (const ::std::string &unitname) throw ()
| Converts to self's units from the given unit name.

## Static Public Member Functions

static void | _load ()

## Detailed Description

Symbol "MPQC.Physics_Units" (version 0.2)

Physics_Units_impl implements a class interface for units.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

The documentation for this class was generated from the following file:

- MPQC_Physics_Units_Impl.hh